Package org.apache.sling.resourceaccesssecurity

# Enum ResourceAccessGate.Operation

java.lang.Object
java.lang.Enum<ResourceAccessGate.Operation>
org.apache.sling.resourceaccesssecurity.ResourceAccessGate.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceAccessGate.Operation>`

Enclosing interface:
  ResourceAccessGate

public static enum ResourceAccessGate.Operation extends Enum<ResourceAccessGate.Operation>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATE`
`DELETE`
`EXECUTE`
`ORDER_CHILDREN`
`READ`
`UPDATE`

## Method Summary

Modifier and Type
Method
Description
`static ResourceAccessGate.Operation`
`fromString(String opAsString)`
`String`
`getText()`
`static ResourceAccessGate.Operation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResourceAccessGate.Operation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ

public static final ResourceAccessGate.Operation READ

### CREATE

public static final ResourceAccessGate.Operation CREATE

### UPDATE

public static final ResourceAccessGate.Operation UPDATE

### DELETE

public static final ResourceAccessGate.Operation DELETE

### EXECUTE

public static final ResourceAccessGate.Operation EXECUTE

### ORDER_CHILDREN

public static final ResourceAccessGate.Operation ORDER_CHILDREN

## Method Details

### values

public static ResourceAccessGate.Operation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ResourceAccessGate.Operation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromString

public static ResourceAccessGate.Operation fromString(String opAsString)

### getText

public String getText()